function meta-env() {
    local msg

    if (( $# > 0 ))
    then
	if msg=$(meta-check "$@")
	then
	    local f s
	    for s in "$@"
	    do
		source "/etc/meta-install-profile.d/${s}.sh" || \
		    echo "meta-env: warning: failed to source env for $s" >&2
	    done
	else
	    echo "meta-env: check failed: $msg"
	fi
    else
	echo "meta-env: usage: meta-env <meta-env> [..]" >&2
    fi
}
